import request from '@/utils/request'

// 查询护理知识库列表
export function listBaseNursing(query) {
    return request({
        url: '/system/baseNursing/list',
        method: 'get',
        params: query
    })
}

// 查询护理知识库详细
export function getBaseNursing(id) {
    return request({
        url: '/system/baseNursing/' + id,
        method: 'get'
    })
}

// 新增护理知识库
export function addBaseNursing(data) {
    return request({
        url: '/system/baseNursing/add',
        method: 'post',
        data: data
    })
}

// 修改护理知识库
export function updateBaseNursing(data) {
    return request({
        url: '/system/baseNursing/edit',
        method: 'put',
        data: data
    })
}

// 删除护理知识库
export function delBaseNursing(id) {
    return request({
        url: '/system/baseNursing/' + id,
        method: 'delete'
    })
}
